Repository 32bit  Forum
Repository 64bit  Wiki

Flash player a 64 bit!!!

Postate qui per tutte le discussioni legate a Linux in generale.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Per evitare confusione prego inserire in questo forum solo topic che riguardano appunto Gnu/Linux in genere, se l'argomento è specifico alla Slackware usate uno dei forum Slackware o Slackware64.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

Re: Flash player a 64 bit!!!

Messaggioda DavidZ » mar set 15, 2009 0:06

414N ha scritto:Un tale Maks Verver ha creato un workaround per evitare i continui crash di Firefox & co. sui sistemi a 64 bit più vecchiotti senza supporto all'istruzione LAHF (Athlon64 socket 754 e 939)....
Ora non dovrebbero più sussistere crash continui.


Ottima segnalazione funziona perfettamente :thumbright:, ho sollevato il mio povero Athlon64 socket 754 da quei fastidiosissimi crash
Grazie e ovviamente Grazie a Maks
Avatar utente
DavidZ
Packager
Packager
 
Messaggi: 108
Iscritto il: mer mar 09, 2005 0:00
Località: alto Vicentino
Slackware: 14.0 x86_64
Kernel: 3.2.29
Desktop: kde 4.8.5

Re: Flash player a 64 bit!!!

Messaggioda roberto67 » lun set 21, 2009 15:48

414N ha scritto:Eureka! \:D/
Un tale Maks Verver ha creato un workaround per evitare i continui crash di Firefox & co. sui sistemi a 64 bit più vecchiotti senza supporto all'istruzione LAHF (Athlon64 socket 754 e 939). Il trucchetto è catturare il segnale SIGILL (Illegal Instruction) lanciato dal plugin quando tenta di eseguire l'istruzioni incriminata ed emularne il funzionamento con istruzioni equivalenti.
Potete leggere il tutto nella Bugzilla di Gentoo.
Per fare andare l'accricco, basta compilare il file sorgente C che allego con questa riga di comando:
Codice: Seleziona tutto
gcc -fPIC -shared -nostdlib -lc -o flashplugin-lahf-fix.so flashplugin-lahf-fix.c

e copiare il file flashplugin-lahf-fix.so così generato nella directory contente il plugin flash a 64 bit della adobe (~/.mozilla/plugins, /usr/lib64/mozilla/plugins etc.).
Ora non dovrebbero più sussistere crash continui.
Grazie Maks :thumbright:


=D> ALLA GRANDE! GRAZIE INFINITE! Due settimane di ricerche (io che ho un Athlon64 socket 939) e poi ho trovato il tuo post. Sono migrato definitivamente a linux e a slackware 2 mesi fa, e vi assicuro che questo problema mi stava quasi facendo venir la voglia di tornare indietro!

grazie anche a slacky.eu :thumbright:
roberto67
Packager
Packager
 
Messaggi: 291
Iscritto il: lun set 14, 2009 17:55
Slackware: 14.1 multilib
Desktop: kde

Re: Flash player a 64 bit!!!

Messaggioda 414N » lun set 21, 2009 20:23

Lieto di esservi stato utile :D
Avatar utente
414N
Iper Master
Iper Master
 
Messaggi: 2884
Iscritto il: mer feb 13, 2008 16:19
Località: Bulagna
Slackware: 14.0 (x64)
Kernel: 3.2.29
Desktop: LXDE

Re: Flash player a 64 bit!!!

Messaggioda Pippolo » lun ott 19, 2009 18:07

Ciao a tutti... non sn proprio nuovo ma ho di nuovo perso user e passwd e quindi altro login altra password... #-o

chiedo innanzitutto scusa per l'ignoranza in materia... l'ultima slacky sul mio PC è stata la 12.0... poi per motivi vari ed eventuali mi sono dovuto spostare ad altri SO... ma sono tornato..
comunque... ciancio alle bande...

domanda odiosa... il plugin da recupreare qual'è?? il tar.gz?? l'rpm da convertire in tgz? se è il tar.gz che contiene solo il file ".so" come lo devo usare??

scusate davvero per la domanda (per i più) banale... ma ho dimenticato davvero tante cose... devo riprendere la mano..

grazie mille comunque in anticipo... byeZzz
Pippolo
Linux 1.0
Linux 1.0
 
Messaggi: 2
Iscritto il: lun ott 19, 2009 17:51
Slackware: 13.0 64bit
Kernel: 2.6.31
Desktop: kde

Re: Flash player a 64 bit!!!

Messaggioda ponce » lun ott 19, 2009 18:55

questo e' il pacchetto da installare (sulla 64bit). :)
Avatar utente
ponce
Master
Master
 
Messaggi: 1521
Iscritto il: mer mar 05, 2008 16:45
Località: Pisa
Nome Cognome: Matteo Bernardini
Slackware: slackware64-current
Kernel: 3.18-rc2
Desktop: lxde

Re: Flash player a 64 bit!!!

Messaggioda Pippolo » lun ott 19, 2009 20:20

grassssssieeee :D :D

troppo gentilissimo 8)
Pippolo
Linux 1.0
Linux 1.0
 
Messaggi: 2
Iscritto il: lun ott 19, 2009 17:51
Slackware: 13.0 64bit
Kernel: 2.6.31
Desktop: kde

Re: Flash player a 64 bit!!!

Messaggioda 414N » lun giu 14, 2010 10:39

Ahi ahi...
Dal blog http://blogs.adobe.com/penguin.swf/ sembra che la versione alpha di flash a 64 bit sia stata ritirata.
Spero sia stato fatto perché contano di rilasciarla come stable...
Avatar utente
414N
Iper Master
Iper Master
 
Messaggi: 2884
Iscritto il: mer feb 13, 2008 16:19
Località: Bulagna
Slackware: 14.0 (x64)
Kernel: 3.2.29
Desktop: LXDE

Re: Flash player a 64 bit!!!

Messaggioda metrofox » lun giu 14, 2010 11:42

414N ha scritto:Ahi ahi...
Dal blog http://blogs.adobe.com/penguin.swf/ sembra che la versione alpha di flash a 64 bit sia stata ritirata.
Spero sia stato fatto perché contano di rilasciarla come stable...


Spero proprio che venga rilasciata la stable, non penso che ci sia stato un problema da fermare "per sempre" lo sviluppo, anche perché secondo me ci perdono.
Avatar utente
metrofox
Linux 2.6
Linux 2.6
 
Messaggi: 758
Iscritto il: gio ago 07, 2008 11:29
Slackware: slackware64-current
Kernel: 3.4.4-ck3
Desktop: FluxBox-1.3.1
Distribuzione: FreeBSD-8.1(amd64)

Re: Flash player a 64 bit!!!

Messaggioda DavidZ » lun giu 14, 2010 21:06

414N ha scritto:Ahi ahi...
Spero sia stato fatto perché contano di rilasciarla come stable...


Sembra sia così

Adobe ha scritto:We have temporarily closed the Labs program of Flash Player 10 for 64-bit Linux, as we are making significant architectural changes to the 64-bit Linux Flash Player and additional security enhancements. We are fully committed to bringing native 64-bit Flash Player for the desktop by providing native support for Windows, Macintosh, and Linux 64-bit platforms in an upcoming major release of Flash Player. We intend to provide more regular update information on our progress as we continue our work on 64-bit versions of Flash Player. Thank you for your continued help and support. Stay tuned to the Flash Player discussion forum for further announcements.


vedremo...

http://labs.adobe.com/downloads/flashpl ... 64bit.html
Avatar utente
DavidZ
Packager
Packager
 
Messaggi: 108
Iscritto il: mer mar 09, 2005 0:00
Località: alto Vicentino
Slackware: 14.0 x86_64
Kernel: 3.2.29
Desktop: kde 4.8.5

Re: Flash player a 64 bit!!!

Messaggioda ponce » lun giu 14, 2010 21:16

nel frattempo, chi usa la 64 multilib, puo' installarsi la versione a 32bit del plugin (in cui dovrebbero aver corretto le vulnerabilita' citate) con nspluginwrapper.

EDIT: pero' non e' che vada tanto bene (ho appena provato): c'e' anche un bug aperto su launchpad al riguardo.
Avatar utente
ponce
Master
Master
 
Messaggi: 1521
Iscritto il: mer mar 05, 2008 16:45
Località: Pisa
Nome Cognome: Matteo Bernardini
Slackware: slackware64-current
Kernel: 3.18-rc2
Desktop: lxde

Re: Flash player a 64 bit!!!

Messaggioda Meskalamdug » sab giu 26, 2010 12:06

Io sto provando Gnash,per il poco flash che uso va bene
ma non sento il suono.
:(

Anzi..il suono si sente,però le musichette no,
Gnash ha ancora da macinare.
Ultima modifica di Meskalamdug il sab giu 26, 2010 12:30, modificato 1 volta in totale.
Meskalamdug
Iper Master
Iper Master
 
Messaggi: 3593
Iscritto il: gio mag 13, 2004 23:00

Re: Flash player a 64 bit!!!

Messaggioda Meskalamdug » sab giu 26, 2010 12:30

ponce ha scritto:nel frattempo, chi usa la 64 multilib, puo' installarsi la versione a 32bit del plugin (in cui dovrebbero aver corretto le vulnerabilita' citate) con nspluginwrapper.

EDIT: pero' non e' che vada tanto bene (ho appena provato): c'e' anche un bug aperto su launchpad al riguardo.

A me con nspluginwrapper neppure parte...
maledetta Adobe di me**a..
Meskalamdug
Iper Master
Iper Master
 
Messaggi: 3593
Iscritto il: gio mag 13, 2004 23:00

Re: Flash player a 64 bit!!!

Messaggioda 414N » sab giu 26, 2010 12:36

Ci sarebbe anche LightSpark come alternativa, ma è ancora piuttosto indietro.
Come detto nel thread apposito, su Slackware 13.0 non si riesce a compilare, probabilmente perché richiede GTK più recenti. Sulla 13.1 non so.
Avatar utente
414N
Iper Master
Iper Master
 
Messaggi: 2884
Iscritto il: mer feb 13, 2008 16:19
Località: Bulagna
Slackware: 14.0 (x64)
Kernel: 3.2.29
Desktop: LXDE

Re: Flash player a 64 bit!!!

Messaggioda Meskalamdug » sab giu 26, 2010 14:13

414N ha scritto:Ci sarebbe anche LightSpark come alternativa, ma è ancora piuttosto indietro.
Come detto nel thread apposito, su Slackware 13.0 non si riesce a compilare, probabilmente perché richiede GTK più recenti. Sulla 13.1 non so.

A qualcuno funziona flash32+nspluginwrapper?
Se si,non è che può dirmi che pacchetti usa
e come fare?
Meskalamdug
Iper Master
Iper Master
 
Messaggi: 3593
Iscritto il: gio mag 13, 2004 23:00

Re: Flash player a 64 bit!!!

Messaggioda ponce » sab giu 26, 2010 16:21

ti serve il pacchetto dell'ultimo flash-player-plugin a 32bit e il pacchetto seamonkey-solibs-compat32: per installare il plugin con nspluginwrapper ho usato questo comando (tutto in una riga, gli errori li ho ignorati)
Codice: Seleziona tutto
LD_PRELOAD="${LD_PRELOAD}:/usr/lib/seamonkey/libnspr4.so:/usr/lib/seamonkey/libnss3.so:/usr/lib/seamonkey/libnssutil3.so:/usr/lib/seamonkey/libplc4.so:/usr/lib/seamonkey/libplds4.so:/usr/lib/seamonkey/libsmime3.so:/usr/lib/seamonkey/libssl3.so" /usr/lib/nspluginwrapper/x86_64/linux/npconfig -v -i /usr/lib/mozilla/plugins/libflashplayer.so

poi ho editato /usr/lib64/firefox-3.6.4/run-mozilla.sh, cambiando la linea 143 cosi' (sempre in una riga sola)
Codice: Seleziona tutto
LD_PRELOAD="${LD_PRELOAD}:/usr/lib/seamonkey/libnspr4.so:/usr/lib/seamonkey/libnss3.so:/usr/lib/seamonkey/libnssutil3.so:/usr/lib/seamonkey/libplc4.so:/usr/lib/seamonkey/libplds4.so:/usr/lib/seamonkey/libsmime3.so:/usr/lib/seamonkey/libssl3.so" "$prog" ${1+"$@"}

tra l'altro, col 3.6.4 i problemucci di cui sopra con i controlli che funzionavano parzialmente sembrano essersi risolti. :)

prima avevo provato a mettere /usr/lib/seamonkey dentro /etc/ld.so.conf ma poi mplayer mi andava a scatti :(
Avatar utente
ponce
Master
Master
 
Messaggi: 1521
Iscritto il: mer mar 05, 2008 16:45
Località: Pisa
Nome Cognome: Matteo Bernardini
Slackware: slackware64-current
Kernel: 3.18-rc2
Desktop: lxde

PrecedenteProssimo

Torna a Gnu/Linux in genere

Chi c’è in linea

Visitano il forum: Nessuno e 3 ospiti